bmalgo_similarity.h File Reference
`#include <algorithm>`
`#include <functional>`
`#include <vector>`
`#include "bmfunc.h"`
`#include "bmdef.h"`
`#include "bmalgo_impl.h"`
Include dependency graph for bmalgo_similarity.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::similarity_descriptor< SO, DMD_SZ, IDX_VALUE, SValue, SFunc >
struct | bm::similarity_batch< SDESCR >

## Namespaces

namespace | bm

## Functions

template<class SIMBATCH, class SV>
void | bm::build_jaccard_similarity_batch (SIMBATCH &sbatch, const SV &sv)
| Utility function to build jaccard similarity batch for sparse_vector<>.